# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "ethcontract"
version = "0.11.3"
authors = ["Nicholas Rodrigues Lordello <nlordell@gmail.com>"]
description = "Runtime library and proc macro for interacting and generating type-safe bindings\nto Ethereum smart contracts.\n"
homepage = "https://github.com/gnosis/ethcontract-rs"
documentation = "https://docs.rs/ethcontract"
keywords = ["web3", "ethereum", "contract", "async"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/gnosis/ethcontract-rs"

[lib]
name = "ethcontract"
[dependencies.ethcontract-common]
version = "0.11.3"

[dependencies.ethcontract-derive]
version = "0.11.3"
optional = true

[dependencies.futures]
version = "0.3"

[dependencies.futures-timer]
version = "3.0"

[dependencies.hex]
version = "0.4"

[dependencies.jsonrpc-core]
version = "16.0"

[dependencies.lazy_static]
version = "1.4"

[dependencies.primitive-types]
version = "0.8"
features = ["fp-conversion"]

[dependencies.secp256k1]
version = "0.20"
features = ["recovery"]

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.thiserror]
version = "1.0"

[dependencies.uint]
version = "0.9"

[dependencies.web3]
version = "0.15"
features = ["signing"]
default-features = false

[dependencies.zeroize]
version = "1.1"
[dev-dependencies.tokio]
version = "0.2"
features = ["macros"]

[features]
default = ["derive", "http", "http-tls", "ws-tokio", "ws-tls-tokio"]
derive = ["ethcontract-derive"]
http = ["web3/http"]
http-tls = ["web3/http-tls"]
ws-tls-tokio = ["web3/ws-tls-tokio"]
ws-tokio = ["web3/ws-tokio"]
